Bug 106633 - emulators/wine: print/cups-base: wine-kthread binary broken by cups-base
Summary: emulators/wine: print/cups-base: wine-kthread binary broken by cups-base
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-12 08:10 UTC by Dominic Fandrey
Modified: 2007-07-01 01:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2006-12-12 08:10:08 UTC
The wine-kthread binary that is still required for many applications to work with wine (pthreading is a long way from being there) simply outputs the following error:
Fatal error 'Uninitialized mutex in pthread_mutex_trylock_basic' at line 496 in file /usr/src/lib/libpthread/thread/thr_mutex.c (errno = 2)

And hangs with a full CPU load (apparently in some kind of infinite loop.

Fix: 

Add the following lines to your libmap.conf. Not a good solution, but it works.

[/usr/local/lib/libcups.so.2]
libpthread.so.2                        libc.so
How-To-Repeat: Try to run any win32 Application with wine-kthread.
Comment 1 Edwin Groothuis freebsd_committer 2006-12-12 08:10:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Over to maintainer
Comment 2 Gerald Pfeifer freebsd_committer 2007-05-27 15:32:58 UTC
State Changed
From-To: open->feedback

There have been some changes both in Wine and FreeBSD as far as I know. 
Do you still experience this?  If so, I propose adding your workaround 
(if still applicable) to the documentation of this port.
Comment 3 Gerald Pfeifer freebsd_committer 2007-07-01 01:13:14 UTC
State Changed
From-To: feedback->closed

Closing based on direct feedback from LoN_Kamikaze@gmx.de: 
"The PR can be closed, wine-kthread can be used without this 
workaround. It runs Starcraft just fine."